commit ad590070fdcca8b89146b5949176bc0354f19745
Author: Andrew Pinski <quic_apinski@quicinc.com>
Date:   Fri Nov 29 01:00:11 2024 -0800

    fortran: Add default to switch in gfc_trans_transfer [PR117843]
    
    This fixes a bootstrap failure due to a warning on enum values not being
    handled. In this case, it is just checking two values and the rest should
    are not handled so adding a default case fixes the issue.
    
    Pushed as obvious.
    
            PR fortran/117843
    gcc/fortran/ChangeLog:
    
            * trans-io.cc (gfc_trans_transfer): Add default case.
    
    Signed-off-by: Andrew Pinski <quic_apinski@quicinc.com>
    (cherry picked from commit 48b72743b0e29871171593fe34856da62d954750)

diff --git a/gcc/fortran/trans-io.cc b/gcc/fortran/trans-io.cc
index c7a50e8839c..a1951a158ed 100644
--- a/gcc/fortran/trans-io.cc
+++ b/gcc/fortran/trans-io.cc
@@ -2649,6 +2649,8 @@ gfc_trans_transfer (gfc_code * code)
 		  case EXPR_FUNCTION:
 		  case EXPR_OP:
 		    goto scalarize;
+		  default:
+		    break;
 		  }
 	      }
 	}

